This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 785815 - anaconda requires root= kernel argument
anaconda requires root= kernel argument
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
RejectedNTH
: TestBlocker
: 787803 797507 798566 798823 799850 806597 (view as bug list)
Depends On:
Blocks: 798804 494832
  Show dependency treegraph
 
Reported: 2012-01-30 11:55 EST by Kamil Páral
Modified: 2012-10-05 03:22 EDT (History)
50 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 795519 (view as bug list)
Environment:
Last Closed: 2012-03-27 16:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-01-30 11:55:33 EST
Description of problem:
When I try to install 20120127 i386/x86_64 compose using virt-install, I get this:

# virt-install --name Foo --ram 1024 --disk /dev/vg/Foo,size=10 --location http://dl.fedoraproject.org/pub/alt/stage/20120127/Fedora/i386/os/ --arch=i386 --extra-args "console=ttyS0 serial lang=en keymap=us ksdevice=link ks=http://kparal.usersys.redhat.com:8000/f16-minimal.ks ip=dhcp ipv6=auto vnc" --nographics

Starting install...
Retrieving file .treeinfo...                                                                                                                                    | 1.8 kB     00:00 ... 
Retrieving file vmlinuz...                                                                                                                                      | 9.6 MB     00:06 ... 
Retrieving file initrd.img...                                                                                                                                   |  41 MB     00:13 ... 
Allocating 'foo'                                                                                                                                                |  10 GB     00:00     
Creating domain...                                                                                                                                              |    0 B     00:00     
Connected to domain Foo
Escape character is ^]
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.3.0-0.rc1.git3.1.fc17.i686 (mockbuild@x86-02.phx2.fedoraproject.org) (gcc version 4.7.0 20120123 (Red Hat 4.7.0-0.9) (GCC) ) #1 SMP Thu Jan 26 02:10:10 UTC 2012
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[    0.000000]  BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003fffd000 (usable)
[    0.000000]  BIOS-e820: 000000003fffd000 - 0000000040000000 (reserved)
[    0.000000]  BIOS-e820: 00000000feffc000 - 00000000ff000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
[    0.000000] Using x86 segment limits to approximate NX protection
[    0.000000] DMI 2.4 present.
[    0.000000] last_pfn = 0x3fffd max_arch_pfn = 0x100000
[    0.000000] found SMP MP-table at [c00fdaf0] fdaf0
[    0.000000] init_memory_mapping: 0000000000000000-00000000373fe000
[    0.000000] RAMDISK: 3eb55000 - 3fff0000
[    0.000000] Allocated new RAMDISK: 35f63000 - 373fdbf0
[    0.000000] Move RAMDISK from 000000003eb55000 - 000000003ffefbef to 35f63000 - 373fdbef
[    0.000000] ACPI: RSDP 000fdaa0 00014 (v00 BOCHS )
[    0.000000] ACPI: RSDT 3fffd6b0 00034 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACP 3ffffe70 00074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
[    0.000000] ACPI: DSDT 3fffd8b0 02548 (v01   BXPC   BXDSDT 00000001 INTL 20100528)
[    0.000000] ACPI: FACS 3ffffe00 00040
[    0.000000] ACPI: SSDT 3fffd810 0009E (v01 BOCHS  BXPCSSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: APIC 3fffd730 00072 (v01 BOCHS  BXPCAPIC 00000001 BXPC 00000001)
[    0.000000] ACPI: HPET 3fffd6f0 00038 (v01 BOCHS  BXPCHPET 00000001 BXPC 00000001)
[    0.000000] 139MB HIGHMEM available.
[    0.000000] 883MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 373fe000
[    0.000000]   low ram: 0 - 373fe000
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 0:e75581, boot clock
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000373fe
[    0.000000]   HighMem  0x000373fe -> 0x0003fffd
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0003fffd
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0xb008
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[    0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 40000000 (gap: 40000000:beffc000)
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] setup_percpu: NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 333 pages/cpu @f5000000 s1343168 r0 d20800 u4194304
[    0.000000] kvm-clock: cpu 0, msr 0:35147581, primary cpu clock
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 350029c0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 259980
[    0.000000] Kernel command line: method=http://dl.fedoraproject.org/pub/alt/stage/20120127/Fedora/i386/os/ console=ttyS0 serial lang=en keymap=us ksdevice=link ks=http://kparal.usersys.redhat.com:8000/f16-minimal.ks ip=dhcp ipv6=auto vnc
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] allocated 2097000 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] Initializing HighMem for node 0 (000373fe:0003fffd)
[    0.000000] Memory: 996936k/1048564k available (5934k kernel code, 51176k reserved, 2770k data, 2004k init, 143356k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffa96000 - 0xfffff000   (5540 kB)
[    0.000000]     pkmap   : 0xff400000 - 0xff800000   (4096 kB)
[    0.000000]     vmalloc : 0xf7bfe000 - 0xff3fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf73fe000   ( 883 MB)
[    0.000000]       .init : 0xc0c81000 - 0xc0e76000   (2004 kB)
[    0.000000]       .data : 0xc09cb98d - 0xc0c803c0   (2770 kB)
[    0.000000]       .text : 0xc0400000 - 0xc09cb98d   (5934 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=15, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU lockdep checking is enabled.
[    0.000000] NR_IRQS:2304 nr_irqs:256 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 3823 kB
[    0.000000]  per task-struct memory footprint: 1920 bytes
[    0.000000] kmemleak: Kernel memory leak detector disabled
[    0.000000] Detected 2793.234 MHz processor.
[    0.003999] Calibrating delay loop (skipped) preset value.. 5586.46 BogoMIPS (lpj=2793234)
[    0.005014] pid_max: default: 32768 minimum: 301
[    0.007449] Security Framework initialized
[    0.008021] SELinux:  Initializing.
[    0.010626] Mount-cache hash table entries: 512
[    0.014500] Initializing cgroup subsys cpuacct
[    0.014998] Initializing cgroup subsys memory
[    0.014998] Initializing cgroup subsys devices
[    0.014998] Initializing cgroup subsys freezer
[    0.015022] Initializing cgroup subsys net_cls
[    0.015998] Initializing cgroup subsys blkio
[    0.015998] Initializing cgroup subsys perf_event
[    0.018347] SMP alternatives: switching to UP code
[    0.124958] Freeing SMP alternatives: 20k freed
[    0.125013] ACPI: Core revision 20120111
[    0.163203] ftrace: allocating 22147 entries in 44 pages
[    0.167033] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.167982] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.167982] CPU0: Intel QEMU Virtual CPU version 0.15.1 stepping 03
[    0.167982] APIC calibration not consistent with PM-Timer: 115ms instead of 100ms
[    0.167982] APIC delta adjusted to PM-Timer: 6250032 (7200160)
[    0.167982] Performance Events: Broken PMU hardware detected, using software events only.
[    0.170231] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.171094] Brought up 1 CPUs
[    0.171988] Total of 1 processors activated (5586.46 BogoMIPS).
[    0.175770] devtmpfs: initialized
[    0.180743] atomic64 test passed for i586+ platform with CX8 and with SSE
[    0.182205] RTC time: 16:46:52, date: 01/30/12
[    0.185335] NET: Registered protocol family 16
[    0.189417] ACPI: bus type pci registered
[    0.191560] PCI: PCI BIOS revision 2.10 entry at 0xfc7aa, last bus=0
[    0.192984] PCI: Using configuration type 1 for base access
[    0.214448] bio: create slab <bio-0> at 0
[    0.216297] ACPI: Added _OSI(Module Device)
[    0.217992] ACPI: Added _OSI(Processor Device)
[    0.220000] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.221994] ACPI: Added _OSI(Processor Aggregator Device)
[    0.299392] ACPI: Interpreter enabled
[    0.300973] ACPI: (supports S0 S5)
[    0.304089] ACPI: Using IOAPIC for interrupt routing
[    0.423876] ACPI: No dock devices found.
[    0.423953] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[    0.426183] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.428688] PCI host bridge to bus 0000:00
[    0.428949] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.430948] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffff]
[    0.436282] pci 0000:00:01.3: quirk: [io  0xb000-0xb03f] claimed by PIIX4 ACPI
[    0.437962] pci 0000:00:01.3: quirk: [io  0xb100-0xb10f] claimed by PIIX4 SMB
[    0.466652]  pci0000:00: Unable to request _OSC control (_OSC support mask: 0x1e)
[    0.695544] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
[    0.698670] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
[    0.701764] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
[    0.704883] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[    0.708044] ACPI: PCI Interrupt Link [LNKS] (IRQs 9) *0
[    0.710737] vgaarb: loaded
[    0.713006] SCSI subsystem initialized
[    0.714985] usbcore: registered new interface driver usbfs
[    0.716072] usbcore: registered new interface driver hub
[    0.717904] usbcore: registered new device driver usb
[    0.719578] PCI: Using ACPI for IRQ routing
[    0.722645] NetLabel: Initializing
[    0.722903] NetLabel:  domain hash size = 128
[    0.723903] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.725103] NetLabel:  unlabeled traffic allowed by default
[    0.726933] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.728932] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.730140] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[    0.734354] Switching to clocksource kvm-clock
[    0.984041] pnp: PnP ACPI init
[    0.992610] ACPI: bus type pnp registered
[    1.009235] pnp: PnP ACPI: found 7 devices
[    1.017632] ACPI: ACPI bus type pnp unregistered
[    1.081002] NET: Registered protocol family 2
[    1.084824] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    1.088380] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    1.091392] TCP bind hash table entries: 65536 (order: 9, 2883584 bytes)
[    1.100102] TCP: Hash tables configured (established 131072 bind 65536)
[    1.101731] TCP reno registered
[    1.102505] UDP hash table entries: 512 (order: 3, 49152 bytes)
[    1.103997] UDP-Lite hash table entries: 512 (order: 3, 49152 bytes)
[    1.106200] NET: Registered protocol family 1
[    1.107278] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    1.108771] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    1.110162] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    1.112526] Unpacking initramfs...
[    4.663578] Freeing initrd memory: 21100k freed
[    4.810680] DMA-API: preallocated 32768 debug entries
[    4.811917] DMA-API: debugging enabled by kernel config
[    4.814580] apm: BIOS not found.
[    4.815951] Intel AES-NI instructions are not detected.
[    4.818865] audit: initializing netlink socket (disabled)
[    4.820239] type=2000 audit(1327942017.819:1): initialized
[    4.839592] cryptomgr_test used greatest stack depth: 7032 bytes left
[    4.842838] highmem bounce pool size: 64 pages
[    4.843984] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    4.884437] VFS: Disk quotas dquot_6.5.2
[    4.885841] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    4.896559] msgmni has been set to 1708
[    4.915481] cryptomgr_test used greatest stack depth: 6968 bytes left
[    4.928752] cryptomgr_test used greatest stack depth: 6544 bytes left
[    4.932723] alg: No test for stdrng (krng)
[    4.934959] NET: Registered protocol family 38
[    4.937694] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    4.941586] io scheduler noop registered
[    4.943715] io scheduler deadline registered
[    4.946268] io scheduler cfq registered (default)
[    4.948933] start plist test
[    4.951887] end plist test
[    4.959835] cryptomgr_test used greatest stack depth: 6464 bytes left
[    4.963429] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    4.965132] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    4.968206] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    4.973315] acpiphp: Slot [1] registered
[    4.976721] acpiphp: Slot [2] registered
[    4.978191] acpiphp: Slot [3] registered
[    4.979547] acpiphp: Slot [4] registered
[    4.980859] acpiphp: Slot [5] registered
[    4.982243] acpiphp: Slot [6] registered
[    4.983699] acpiphp: Slot [7] registered
[    4.985066] acpiphp: Slot [8] registered
[    4.986997] acpiphp: Slot [9] registered
[    4.988511] acpiphp: Slot [10] registered
[    4.989877] acpiphp: Slot [11] registered
[    4.991243] acpiphp: Slot [12] registered
[    4.992599] acpiphp: Slot [13] registered
[    4.993941] acpiphp: Slot [14] registered
[    4.995317] acpiphp: Slot [15] registered
[    4.996664] acpiphp: Slot [16] registered
[    4.998028] acpiphp: Slot [17] registered
[    4.999378] acpiphp: Slot [18] registered
[    5.000746] acpiphp: Slot [19] registered
[    5.002135] acpiphp: Slot [20] registered
[    5.003478] acpiphp: Slot [21] registered
[    5.005179] acpiphp: Slot [22] registered
[    5.006577] acpiphp: Slot [23] registered
[    5.007927] acpiphp: Slot [24] registered
[    5.009327] acpiphp: Slot [25] registered
[    5.010713] acpiphp: Slot [26] registered
[    5.012089] acpiphp: Slot [27] registered
[    5.013449] acpiphp: Slot [28] registered
[    5.014787] acpiphp: Slot [29] registered
[    5.016176] acpiphp: Slot [30] registered
[    5.017554] acpiphp: Slot [31] registered
[    5.047168] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[    5.049072] ACPI: Power Button [PWRF]
[    5.101484] GHES: HEST is not enabled!
[    5.105444] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
[    5.108915] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    5.138804] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    5.168050] 00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    5.172144] Non-volatile memory driver v1.3
[    5.173169] Linux agpgart interface v0.103
[    5.185650] loop: module loaded
[    5.193252] scsi0 : ata_piix
[    5.195756] scsi1 : ata_piix
[    5.197144] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[    5.199231] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
[    5.202512] Fixed MDIO Bus: probed
[    5.204203] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    5.205981] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    5.208575] uhci_hcd: USB Universal Host Controller Interface driver
[    5.210537] uhci_hcd 0000:00:01.2: UHCI Host Controller
[    5.215298] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[    5.217262] uhci_hcd 0000:00:01.2: irq 11, io base 0x0000c020
[    5.219355] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    5.221018] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    5.222778] usb usb1: Product: UHCI Host Controller
[    5.224042] usb usb1: Manufacturer: Linux 3.3.0-0.rc1.git3.1.fc17.i686 uhci_hcd
[    5.225911] usb usb1: SerialNumber: 0000:00:01.2
[    5.229366] hub 1-0:1.0: USB hub found
[    5.230559] hub 1-0:1.0: 2 ports detected
[    5.233589] usbcore: registered new interface driver usbserial
[    5.235253] USB Serial support registered for generic
[    5.236692] usbcore: registered new interface driver usbserial_generic
[    5.239159] usbserial: USB Serial Driver core
[    5.240614] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[    5.244171] serio: i8042 KBD port at 0x60,0x64 irq 1
[    5.245534] serio: i8042 AUX port at 0x60,0x64 irq 12
[    5.248003] mousedev: PS/2 mouse device common for all mice
[    5.251337] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    5.259186] rtc_cmos 00:01: RTC can wake from S4
[    5.261671] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[    5.263484] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
[    5.266977] device-mapper: uevent: version 1.0.3
[    5.269451] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) initialised: dm-devel@redhat.com
[    5.274435] cpuidle: using governor ladder
[    5.275481] cpuidle: using governor menu
[    5.277235] EFI Variables Facility v0.08 2004-May-17
[    5.280434] usbcore: registered new interface driver usbhid
[    5.281864] usbhid: USB HID core driver
[    5.284623] ip_tables: (C) 2000-2006 Netfilter Core Team
[    5.286139] TCP cubic registered
[    5.286927] Initializing XFRM netlink socket
[    5.290395] NET: Registered protocol family 10
[    5.297228] Mobile IPv6
[    5.297920] NET: Registered protocol family 17
[    5.299217] Registering the dns_resolver key type
[    5.300636] Using IPI No-Shortcut mode
[    5.302912] registered taskstats version 1
[    5.307072]   Magic number: 12:157:794
[    5.308275] rtc_cmos 00:01: setting system clock to 2012-01-30 16:46:57 UTC (1327942017)
[    5.310985] Initializing network drop monitor service
[    5.355456] ata1.00: ATA-7: QEMU HARDDISK, 0.15.1, max UDMA/100
[    5.358814] ata1.00: 20971520 sectors, multi 16: LBA48 
[    5.360968] ata1.00: configured for MWDMA2
[    5.363514] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    0.15 PQ: 0 ANSI: 5
[    5.370401] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    5.373054] sd 0:0:0:0: [sda] 20971520 512-byte logical blocks: (10.7 GB/10.0 GiB)
[    5.375944] sd 0:0:0:0: [sda] Write Protect is off
[    5.377594] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    5.385744]  sda: unknown partition table
[    5.389114] sd 0:0:0:0: [sda] Attached SCSI disk
[    5.390351] Freeing unused kernel memory: 2004k freed
[    5.393454] Write protecting the kernel text: 5936k
[    5.395761] Write protecting the kernel read-only data: 2232k
[    5.442928] mount used greatest stack depth: 6292 bytes left
[    5.592312] cp used greatest stack depth: 6264 bytes left
[    5.675682] dracut: dracut-014-77.git20120126.fc17.1
[    5.694770] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
[    5.816271] Refined TSC clocksource calibration: 2793.232 MHz.
[    5.876543] Loading iSCSI transport class v2.0-870.
[    5.888799] iscsi: registered transport (qla4xxx)
[    5.890236] QLogic iSCSI HBA Driver
[    5.912825] libcxgbi:libcxgbi_init_module: tag itt 0x1fff, 13 bits, age 0xf, 4 bits.
[    5.927734] libcxgbi:ddp_setup_host_page_size: system PAGE 4096, ddp idx 0.
[    5.936664] Chelsio T3 iSCSI Driver cxgb3i v2.0.0 (Jun. 2010)
[    5.944278] iscsi: registered transport (cxgb3i)
[    5.964467] Chelsio T4 iSCSI Driver cxgb4i v0.9.1 (Aug. 2010)
[    5.966302] iscsi: registered transport (cxgb4i)
[    5.984488] cnic: Broadcom NetXtreme II CNIC Driver cnic v2.5.8 (Jan 3, 2012)
[    5.990437] Broadcom NetXtreme II iSCSI Driver bnx2i v2.7.0.3 (Jun 15, 2011)
[    5.992565] iscsi: registered transport (bnx2i)
[    6.012505] iscsi: registered transport (be2iscsi)
Warning: No netboot configured, ignoring ip= lines
[    6.048876] dracut: FATAL: No or empty root= argument
[    6.050124] dracut: Refusing to continue


[    6.051687] dracut Warning: Signal caught!
dracut Warning: Signal caught!
[    6.053604] dracut Warning: dracut: FATAL: No or empty root= argument
dracut Warning: dracut: FATAL: No or empty root= argument
[    6.056424] dracut Warning: dracut: Refusing to continue
dracut Warning: dracut: Refusing to continue

[    6.060465] init used greatest stack depth: 5196 bytes left
[    6.061927] Kernel panic - not syncing: Attempted to kill init!



Harald Hoyer suggests this is not a bug in dracut but in virt-install.


Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-5.fc16.noarch
libvirt-0.9.6-4.fc16.x86_64
libvirt-python-0.9.6-4.fc16.x86_64
http://dl.fedoraproject.org/pub/alt/stage/20120127/

How reproducible:
always
Comment 1 Harald Hoyer 2012-01-30 12:01:30 EST
maybe "--extra-args" needs "root=...." now.. I don't know what anaconda is expecting here for the latest install images.
Comment 2 Harald Hoyer 2012-01-30 12:03:47 EST
I know, they have changed to use dracut now, which implies, that "root=..." has to be specified somewhere to let dracut know what to boot and what to mount.

E.g. "root=live:..." or something else.. Please ask the anaconda team here.
Comment 3 Kamil Páral 2012-01-30 12:09:42 EST
Reassigning to anaconda team for advice.
Comment 4 Kamil Páral 2012-02-03 07:36:30 EST
Also happens for F17 Alpha TC1:
http://dl.fedoraproject.org/pub/alt/stage/17-Alpha.TC1
Comment 5 Harald Hoyer 2012-02-03 07:49:23 EST
btw, the dracut image for the installer might want the "root=..." hardcoded and stored in /etc/cmdline.d/anaconda.conf in the initramfs image.

you can inject files easily with 
dracut --include <pathto>/anaconda.conf /etc/cmdline.d/anaconda.conf
on creation.
Comment 6 Kamil Páral 2012-02-03 09:08:27 EST
This command works:

$ virt-install --name Foo --ram 1024 --disk /dev/vg/Foo,size=10 --location http://dl.fedoraproject.org/pub/alt/stage/17-Alpha.TC1/Fedora/Fedora/i386/os/ --arch=i386 --extra-args "console=ttyS0 serial root=live:http://dl.fedoraproject.org/pub/alt/stage/17-Alpha.TC1/Fedora/Fedora/i386/os/LiveOS/squashfs.img" --nographics

But it seems to me quite weird that I have to specify a root=... kernel option that I didn't have to for F16 composes.

Either virt-install should do that for me, or anaconda should create such an image that this kernel option is not needed.
Comment 7 Martin Banas 2012-02-03 09:17:03 EST
I think virt-install could provide this parameter based on the repository information, this would be a nice feature.

I don't think hardcoding the path to anaconda would be wise, among other things we would have to create more images depending on used media (e.g. there's something like root=CDLABEL:<blabla> on DVD (not sure about the right syntax)).
Comment 8 Kamil Páral 2012-02-03 09:23:03 EST
Changing component to virt-install. If it detects Fedora installation URL and fetches squashfs.img or just appends a correct URL to the kernel arguments, it will make system administrators life much easier.

As I learned that there is no bug in the compose process, just one more inconvenience popped up, I'm removing the release blocker and propose it as a nice-to-have blocker.
Comment 9 Cole Robinson 2012-02-03 11:07:43 EST
Does this change mean that tools like cobbler will also need to be updated to manually specify a root= argument for F17 PXE installs? And presumably this requires tools to be able to differentiate between and F16 tree and an F17 tree so as not to append the root= argument on old tree (which presumably would cause issues)?

Just for my own understanding, can someone quickly summarize

- what root= does
- how anaconda worked before without root=
- why in technical terms root= is needed now


When virt-install does url installs, we pass a method=<installurl> command line option to anaconda. Maybe if anaconda sees method= but doesn't see root=, it can default to pulling the squashfs image from the known location relative to the method= .
Comment 10 Will Woods 2012-02-03 12:10:19 EST
(In reply to comment #9)
> Does this change mean that tools like cobbler will also need to be updated to
> manually specify a root= argument for F17 PXE installs?
 
Probably not, if cobbler is using one of repo=/method=/stage2=. See below.

> Just for my own understanding, can someone quickly summarize
> 
> - what root= does

You're kidding, right? It tells the kernel/initramfs where the root filesystem is. Check out your /etc/{grub.conf,grub2.cfg}.

For anaconda, the root device is a live filesystem image: images/install.img. (For the moment it resides at LiveOS/squashfs.img but that will probably change soon - see bug 782108)

> - how anaconda worked before without root=

By inferring from anaconda-specific boot args, or (if that failed) looking for appropriate media:

* If you booted with repo=XXX, the root image was assumed to be at $repo/images/install.img. 
* method= is a deprecated synonym for repo=.
* stage2=XXX specified the exact location of the runtime image, so it's almost identical to root=XXX, except that it's a weird non-standard version of it.
* If none of these were specified, it would mount every CD it found in the system and look for one that had some special files that indicated it was installer media.

> - why in technical terms root= is needed now

It's always been needed, but we've been filling it in for you. Which we will continue to do for the cases listed above. 

> When virt-install does url installs, we pass a method=<installurl> command line
> option to anaconda. Maybe if anaconda sees method= but doesn't see root=, it
> can default to pulling the squashfs image from the known location relative to
> the method= .

As explained above, that's what it usually does.

The dracut code that handles all the anaconda-specific arguments hasn't landed yet. It'll be there soon.
Comment 11 Cole Robinson 2012-02-03 18:26:14 EST
Hi Will, thanks for the answers.


> > Just for my own understanding, can someone quickly summarize
> > 
> > - what root= does
> 
> You're kidding, right? It tells the kernel/initramfs where the root filesystem
> is. Check out your /etc/{grub.conf,grub2.cfg}.

Hey, cut me some slack, I've never seen a grub.conf with root=live:<http://some/url/path> as shown in comment #6. Just wanted to make sure I wasn't missing something obvious.

> > When virt-install does url installs, we pass a method=<installurl> command line
> > option to anaconda. Maybe if anaconda sees method= but doesn't see root=, it
> > can default to pulling the squashfs image from the known location relative to
> > the method= .
> 
> As explained above, that's what it usually does.
> 
> The dracut code that handles all the anaconda-specific arguments hasn't landed
> yet. It'll be there soon.

Great, so this should just start working again when this code lands in dracut. I assume this is targeted for f17? Reassigning to dracut based on that assumption, someone correct me if I'm mistaken.
Comment 12 Chris Lumens 2012-02-08 14:29:36 EST
*** Bug 787803 has been marked as a duplicate of this bug. ***
Comment 13 Adam Williamson 2012-02-10 13:11:30 EST
Discussed at 2012-02-10 NTH review meeting. Agreed this is rejected as NTH, we see no convincing rationale as to why it's worth accepting the risk of poking this during a freeze. If someone can come up with a good reason to do so, please re-propose.

Note we're working under the assumption this is not a complete roadblock for AutoQA (RATS). If it is, please say so, and re-propose; it may change the discussion. So far we're assuming all that's needed for things that use virt-install is a bit more care.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Michael Schwendt 2012-02-16 13:56:11 EST
What root=  parameter is needed to boot the TC2 DVD x86_64 image via GRUB2 vmlinuz+initrd? I've added just the usual repo=hd:/dev/sda8:/17/64  parameter, but kernel crashes with "no or empty root".
Comment 16 Michael Schwendt 2012-02-16 15:17:45 EST
Unusual, weird, but that works at least. :)

Since it has taken 8 minutes to download from that location at low speed, I've mirrored that file locally. The file is inside the DVD image, btw. There must be a way to point at the local copy of the file in the root= parameter.
Comment 17 Kamil Páral 2012-02-17 04:43:52 EST
I believe this is a temporary problem, anaconda should find out the root image automatically. Quoting Will Woods:

> The dracut code that handles all the anaconda-specific arguments 
> hasn't landed yet. It'll be there soon.
Comment 18 Richard Marko 2012-02-20 14:23:06 EST
Adding TestBlocker as this blocks the test-suite runs for ABRT, would be nice to have this fixed asap.
Comment 19 Kamil Páral 2012-02-21 05:12:22 EST
wwoods, what's the ETA for this?
Comment 20 Will Woods 2012-02-21 15:08:44 EST
Parts of it are in the anaconda 'noloader' branch. Test images that handle 'repo={http,ftp,nfs,hd,cdrom}' should be available within a week. 

'root=live:{http,https,ftp}' is available as a temporary workaround. 

For repo=hd... you could probably put the squashfs.img in /LiveOS/squashfs.img on the device and boot with "root=live:/dev/XXX".. but it won't use the packages on the disk unless you set up an appropriate repo in the UI.
Comment 21 Chris Lumens 2012-02-29 15:36:56 EST
*** Bug 798566 has been marked as a duplicate of this bug. ***
Comment 22 David Lehman 2012-02-29 21:13:44 EST
*** Bug 798823 has been marked as a duplicate of this bug. ***
Comment 23 Vít Ondruch 2012-03-01 04:25:30 EST
Is somebody still believe that this bug is due to "virt-install"? Could we change the issue name please?
Comment 24 Kamil Páral 2012-03-01 04:57:55 EST
It's reported against dracut, but I changed the summary.
Comment 25 Martin Gracik 2012-03-05 04:16:12 EST
*** Bug 799850 has been marked as a duplicate of this bug. ***
Comment 26 Nathanael Noblet 2012-03-07 01:19:12 EST
So today I used preupgrade to attempt a F16->F17 upgrade. It failed to boot because of this bug. This is a test laptop so doesn't have a fixed internet connection, so I assume adding root=live:http://... wouldn't really work.

I've tried root=hd:UUID=xxx.....:/squashfs.img which didn't work with an error about not knowing how to deal with it

I've tried root=live:/dev/sda2/squashfs.img and root=live:/dev/sda2:squashfs.img
which dropped me to a dracut shell.

How do I fix this?
Comment 27 Adam Williamson 2012-03-09 13:04:19 EST
wwoods: you said 02-21 "Test images that handle 'repo={http,ftp,nfs,hd,cdrom}' should be available within a week", can we get an update? Where are we on this bug? It's probably not quite a release blocker but it would be very nice if this could be 'fixed' so most cases don't have to manually specify a root= parameter (esp. PXE).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 28 Adam Williamson 2012-03-09 13:06:57 EST
*** Bug 797507 has been marked as a duplicate of this bug. ***
Comment 29 Tom Horsley 2012-03-09 13:27:14 EST
Not to mention that it would sure be nice if I could do a hard disk install
(repo=hd) by the time the beta is released (or at least by final anyway).
Comment 30 Will Woods 2012-03-09 13:35:02 EST
Trying to build test images today.
Comment 31 Pavel Šimerda (pavlix) 2012-03-10 17:47:21 EST
Related bug 802041.
Comment 32 Pavel Šimerda (pavlix) 2012-03-10 17:47:57 EST
Related bug 802042.
Comment 33 Adam Williamson 2012-03-16 14:24:50 EDT
Should the noloader change which has just landed fix this, Will?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 34 Will Woods 2012-03-16 15:52:32 EDT
Yes. We're doing some smoke-test builds now; if nothing horrific happens we're hoping to merge this into f17-branch for TC2.
Comment 35 Dr. Tilmann Bubeck 2012-03-19 17:33:53 EDT
I can confirm, that this bug is fixed in Beta-TC2.
Comment 36 Nathanael Noblet 2012-03-19 17:43:55 EDT
does this mean that using pre-upgrade at this point in time would create a bootable system that could then continue to upgrade?
Comment 37 Orion Poplawski 2012-03-19 18:39:25 EDT
Hmm, I'm still getting the error with my cobbler vm install and TC2.
Comment 38 Hongqing Yang 2012-03-20 02:33:43 EDT
hit this error after preupgrade f15 to F17
Comment 40 Adam Williamson 2012-03-20 14:20:01 EDT
preupgrade will not be using 17.13 (noloader). You can only be sure you're getting 17.13 if you're running from an actual Beta TC2 image.

preupgrade, and other ways of using the copy of the installer that's located on the mirrors, will be using an older anaconda, because 17.13 has not yet been pushed to stable.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 41 Harald Hoyer 2012-03-26 04:07:29 EDT
*** Bug 806597 has been marked as a duplicate of this bug. ***
Comment 42 Nathanael Noblet 2012-03-26 13:06:27 EDT
Might I suggest this bug is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=800205 which has been marked as a blocker?
Comment 43 Adam Williamson 2012-03-27 16:33:23 EDT
Nathanael: no, not really. =)

It's the other way around. Except we intentionally kept 800205 around as a 'special case', on the basis that if the general bug - this one - was not fixed, we could still work around it in preupgrade, hence resolving 800205 without resolving this bug.

I think we can mark this as fixed, now 17.14 is stable. preupgrade is still broken due to a different bug, but it's not hitting this any more, and I don't think other paths are either.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 44 Artem S. Tashkinov 2012-04-05 11:31:10 EDT
(In reply to comment #35)

So how should we use root= parameter when using syslinux (usb flash drive)/pxe?

dracut Warning: dracut: FATAL: Don't know how to handle 'root=hd:/LiveOS/squashfs.img'

Refusing to continue
Comment 45 Will Woods 2012-04-05 12:16:58 EDT
"hd:..." notation is anaconda-specific. You can't use that with "root=..."

Use "repo=" or "stage2=", just like you have for every previous release. (If you were using "method=", that's just an alias for "repo=".)

repo=hd:DEVICE:PATH
  DEVICE is something like "sda2" or "LABEL=Live" or "UUID=..."
  PATH is the path to the directory that contains the ".treeinfo" file

If you really want to use root= (for some reason), you'd do:

root=live:DEVICE
  The image must be located at /LiveOS/squashfs.img on that device.
Comment 46 Artem S. Tashkinov 2012-04-05 16:00:30 EDT
If anyone stumbles upon this bug report, here's another working tested solution:

label linux
        menu label Install or upgrade ^Fedora
        kernel /LiveOS/vmlinuz
        append initrd=/LiveOS/initrd.img root=live:UUID=AAAA-BBBB-CCCC-DDDD-EEEE-FFFF rootfstype=auto ro liveimg

You can find out the partition UUID by running `blkid`.
Comment 47 Orion Poplawski 2012-04-05 17:15:01 EDT
Well, with cobbler/koan for quite a while now one has a boot line like:

linux   /boot/vmlinuz root=UUID=61d65bfe-ad38-4495-9525-ed66f5cb3c65 ro rd.md=0 rd.lvm=0 rd.dm=0  KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.luks=0 LANG=en_US.UTF-8 crashkernel=64M no_console_suspend ks=http://cobbler.cora.nwra.com/cblr/svc/op/ks/system/orca ksdevice=link kssendmac lang= text 

Now however it ends up booting the system instead of doing the install.  If I remove the root= line I then see:

dracut: acaconda fetching installer from http
dracut Warning: can't find installer mainimage path in .treeinfo

The kickstart has:

url --url=http://fedora.cora.nwra.com/development/17/i386/os

I don't see any requests for the .treeinfo on my server.

Happy to file a new bug at this point if that would be better as this just relates to kickstart handling.
Comment 48 Will Woods 2012-04-05 19:02:25 EDT
(In reply to comment #47)

> Now however it ends up booting the system instead of doing the install.  If I
> remove the root= line I then see:
> 
> dracut: acaconda fetching installer from http
> dracut Warning: can't find installer mainimage path in .treeinfo
> 
> Happy to file a new bug at this point if that would be better as this just
> relates to kickstart handling.

Already exists. See bug #810005.

Note You need to log in before you can comment on or make changes to this bug.